---
title: Internet Computer (Dfinity)
description: Detailed information about Internet Computer (Dfinity)
sidebar_position: 6
---

# Internet Computer (Dfinity)

## Overview
The Internet Computer, developed by Dfinity, is a decentralized computing platform that aims to extend the functionality of the public internet by hosting software and services directly on the blockchain. It enables developers to build and deploy scalable, secure, and efficient applications without relying on traditional cloud infrastructure.

## Key Features
- **Currency:** ICP (Internet Computer Protocol Token)
- **Buying Currency:** Available on exchanges like Binance, Coinbase, and Kraken.
- **Utility:** 
  - Used for network governance, transaction fees, and incentivizing node providers.
  - Staking rewards for participants in the network.
- **Automation:** 
  - Smart contracts (called "canisters") automate application deployment and execution.
- **Utility in the Project:**
  - Developers can use ICP to pay for computation and storage on the network.
  - Users can participate in governance by staking ICP tokens.
- **API:** Yes, the Internet Computer provides an API for developers to build and interact with decentralized applications (dApps).
- **User Perspective:**
  - Developers can build and deploy dApps with high scalability and low latency.
  - Users can interact with dApps seamlessly, with no need for traditional servers.

## How It Works
1. **Step 1:** Developers create and deploy "canisters" (smart contracts) on the Internet Computer.
2. **Step 2:** The network distributes the workload across multiple nodes, ensuring scalability and fault tolerance.
3. **Step 3:** Users interact with dApps directly through their browsers, with no intermediaries.

## Staking
- **Staking Requirements:** No minimum staking requirement, but staking ICP is necessary for participating in governance.
- **Rewards:** Stakers earn rewards for participating in network governance and securing the network.

## Documentation
For detailed documentation, visit [Internet Computer Docs](https://internetcomputer.org/docs/current/developer-docs/getting-started/network-overview).

## Additional Resources
- [Official Website](https://dfinity.org)
- [Community Link](https://forum.dfinity.org/)
- [GitHub Repository](https://github.com/dfinity)