---
title: Energy Web
description: Detailed information about Energy Web
sidebar_position: 2
---

# Energy Web

## Overview
Energy Web is a decentralized energy platform that enables the creation of decentralized applications (dApps) for the energy sector. It leverages blockchain technology to create a more transparent and efficient energy market.

## Key Features
- **Currency:** EWT (Energy Web Token)
- **Buying Currency:** Available on exchanges like Kraken and Gate.io.
- **Utility:** 
  - Used for network transactions and incentivizing dApp development.
  - Staking rewards for network validators.
- **Automation:** 
  - Smart contracts automate energy transactions and dApp interactions.
- **Utility in the Project:**
  - Users can earn EWT by participating in the energy market.
  - Validators can stake EWT to secure the network and earn rewards.
- **API:** Yes, Energy Web provides an API for developers to integrate with their dApps.
- **User Perspective:**
  - Users can easily participate in the energy market and earn EWT tokens.

## How It Works
1. **Step 1:** Users connect their energy assets to the Energy Web network.
2. **Step 2:** The network enables the creation and use of dApps for energy management.
3. **Step 3:** Users earn EWT tokens based on their participation in the network.

## Staking
- **Staking Requirements:** Minimum of 10,000 EWT tokens to become a validator.
- **Rewards:** Validators earn a percentage of transaction fees and block rewards.

## Documentation
For detailed documentation, visit [Energy Web Docs](https://www.energyweb.org/learn).

## Additional Resources
- [Official Website](https://www.energyweb.org)
- [Community Link](https://web.telegram.org/a/)
- [GitHub Repository](https://github.com/energywebfoundation)